/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.cg.valueobject;

import java.util.List;

/**
 * メソッドを表現するためのバリューオブジェクト。<br>
 * ※ポイント：メソッド名の名前変形は、blancoCgに与える前に実施されている必要があります。
 */
public class BlancoCgMethod {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの名前です。
     */
    private String fName;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの説明です。
     */
    private String fDescription;

    /**
     * フィールド [access]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["public"]<br>
     * このメソッドのアクセスコントロールを指定します。<br>
     * public/protected/privateなどを指定します。
     */
    private String fAccess = "public";

    /**
     * フィールド [abstract]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 抽象クラスかどうか。
     */
    private boolean fAbstract = false;

    /**
     * フィールド [static]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * staticかどうか。
     */
    private boolean fStatic = false;

    /**
     * フィールド [override]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * オーバライドしているかどうか。
     */
    private boolean fOverride = false;

    /**
     * フィールド [final]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * finalかどうか。
     */
    private boolean fFinal = false;

    /**
     * フィールド [constructor]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * コンストラクタかどうか。
     */
    private boolean fConstructor = false;

    /**
     * フィールド [parameterList]
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgParameter>]<br>
     * 規定値   [new java.util.ArrayList<blanco.cg.valueobject.BlancoCgParameter>()]<br>
     * このメソッドのパラメータのリストです。
     */
    private List<blanco.cg.valueobject.BlancoCgParameter> fParameterList = new java.util.ArrayList<blanco.cg.valueobject.BlancoCgParameter>();

    /**
     * フィールド [return]
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。
     */
    private BlancoCgReturn fReturn;

    /**
     * フィールド [throwList]
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgException>]<br>
     * 規定値   [new java.util.ArrayList<blanco.cg.valueobject.BlancoCgException>()]<br>
     * このメソッドが発生しうる例外の一覧です。
     */
    private List<blanco.cg.valueobject.BlancoCgException> fThrowList = new java.util.ArrayList<blanco.cg.valueobject.BlancoCgException>();

    /**
     * フィールド [annotationList]
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * このメソッドに付与されているアノテーションのリストです。
     */
    private List<java.lang.String> fAnnotationList = new java.util.ArrayList<java.lang.String>();

    /**
     * フィールド [lineList]
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * このメソッドに含まれる行のリストです。
     */
    private List<java.lang.String> fLineList = new java.util.ArrayList<java.lang.String>();

    /**
     * フィールド [superclassInvocation]
     *
     * 項目の型 [java.lang.String]<br>
     * コンストラクタの場合には、Java言語だと super(引数)、C#.NETだと base(引数)の文字列全てを指定します。一般メソッドの場合には、Java言語だと super(引数)の文字列全てを指定します。セミコロンは含みません。
     */
    private String fSuperclassInvocation;

    /**
     * フィールド [langDoc]
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgLangDoc]<br>
     * 言語ドキュメントを蓄えます。デフォルト以上の表現を追加する場合には、インスタンスを生成して値をセットしてから自動生成します。
     */
    private BlancoCgLangDoc fLangDoc;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの名前です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの名前です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの説明です。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドの説明です。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [access]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このメソッドのアクセスコントロールを指定します。<br>
     * public/protected/privateなどを指定します。
     *
     * @param argAccess フィールド[access]に格納したい値
     */
    public void setAccess(final String argAccess) {
        fAccess = argAccess;
    }

    /**
     * フィールド[access]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["public"]<br>
     * このメソッドのアクセスコントロールを指定します。<br>
     * public/protected/privateなどを指定します。
     *
     * @return フィールド[access]に格納されている値
     */
    public String getAccess() {
        return fAccess;
    }

    /**
     * フィールド [abstract]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 抽象クラスかどうか。
     *
     * @param argAbstract フィールド[abstract]に格納したい値
     */
    public void setAbstract(final boolean argAbstract) {
        fAbstract = argAbstract;
    }

    /**
     * フィールド[abstract]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 抽象クラスかどうか。
     *
     * @return フィールド[abstract]に格納されている値
     */
    public boolean getAbstract() {
        return fAbstract;
    }

    /**
     * フィールド [static]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * staticかどうか。
     *
     * @param argStatic フィールド[static]に格納したい値
     */
    public void setStatic(final boolean argStatic) {
        fStatic = argStatic;
    }

    /**
     * フィールド[static]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * staticかどうか。
     *
     * @return フィールド[static]に格納されている値
     */
    public boolean getStatic() {
        return fStatic;
    }

    /**
     * フィールド [override]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * オーバライドしているかどうか。
     *
     * @param argOverride フィールド[override]に格納したい値
     */
    public void setOverride(final boolean argOverride) {
        fOverride = argOverride;
    }

    /**
     * フィールド[override]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * オーバライドしているかどうか。
     *
     * @return フィールド[override]に格納されている値
     */
    public boolean getOverride() {
        return fOverride;
    }

    /**
     * フィールド [final]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * finalかどうか。
     *
     * @param argFinal フィールド[final]に格納したい値
     */
    public void setFinal(final boolean argFinal) {
        fFinal = argFinal;
    }

    /**
     * フィールド[final]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * finalかどうか。
     *
     * @return フィールド[final]に格納されている値
     */
    public boolean getFinal() {
        return fFinal;
    }

    /**
     * フィールド [constructor]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * コンストラクタかどうか。
     *
     * @param argConstructor フィールド[constructor]に格納したい値
     */
    public void setConstructor(final boolean argConstructor) {
        fConstructor = argConstructor;
    }

    /**
     * フィールド[constructor]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * コンストラクタかどうか。
     *
     * @return フィールド[constructor]に格納されている値
     */
    public boolean getConstructor() {
        return fConstructor;
    }

    /**
     * フィールド [parameterList]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgParameter>]<br>
     * このメソッドのパラメータのリストです。
     *
     * @param argParameterList フィールド[parameterList]に格納したい値
     */
    public void setParameterList(final List<blanco.cg.valueobject.BlancoCgParameter> argParameterList) {
        fParameterList = argParameterList;
    }

    /**
     * フィールド[parameterList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgParameter>]<br>
     * 規定値   [new java.util.ArrayList<blanco.cg.valueobject.BlancoCgParameter>()]<br>
     * このメソッドのパラメータのリストです。
     *
     * @return フィールド[parameterList]に格納されている値
     */
    public List<blanco.cg.valueobject.BlancoCgParameter> getParameterList() {
        return fParameterList;
    }

    /**
     * フィールド [return]のセッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。
     *
     * @param argReturn フィールド[return]に格納したい値
     */
    public void setReturn(final BlancoCgReturn argReturn) {
        fReturn = argReturn;
    }

    /**
     * フィールド[return]のゲッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgReturn]<br>
     * このメソッドの戻り値です。
     *
     * @return フィールド[return]に格納されている値
     */
    public BlancoCgReturn getReturn() {
        return fReturn;
    }

    /**
     * フィールド [throwList]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgException>]<br>
     * このメソッドが発生しうる例外の一覧です。
     *
     * @param argThrowList フィールド[throwList]に格納したい値
     */
    public void setThrowList(final List<blanco.cg.valueobject.BlancoCgException> argThrowList) {
        fThrowList = argThrowList;
    }

    /**
     * フィールド[throwList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.cg.valueobject.BlancoCgException>]<br>
     * 規定値   [new java.util.ArrayList<blanco.cg.valueobject.BlancoCgException>()]<br>
     * このメソッドが発生しうる例外の一覧です。
     *
     * @return フィールド[throwList]に格納されている値
     */
    public List<blanco.cg.valueobject.BlancoCgException> getThrowList() {
        return fThrowList;
    }

    /**
     * フィールド [annotationList]のセッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * このメソッドに付与されているアノテーションのリストです。
     *
     * @param argAnnotationList フィールド[annotationList]に格納したい値
     */
    public void setAnnotationList(final List<java.lang.String> argAnnotationList) {
        fAnnotationList = argAnnotationList;
    }

    /**
     * フィールド[annotationList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * このメソッドに付与されているアノテーションのリストです。
     *
     * @return フィールド[annotationList]に格納されている値
     */
    public List<java.lang.String> getAnnotationList() {
        return fAnnotationList;
    }

    /**
     * フィールド [lineList]のセッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * このメソッドに含まれる行のリストです。
     *
     * @param argLineList フィールド[lineList]に格納したい値
     */
    public void setLineList(final List<java.lang.String> argLineList) {
        fLineList = argLineList;
    }

    /**
     * フィールド[lineList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<java.lang.String>]<br>
     * 規定値   [new java.util.ArrayList<java.lang.String>()]<br>
     * このメソッドに含まれる行のリストです。
     *
     * @return フィールド[lineList]に格納されている値
     */
    public List<java.lang.String> getLineList() {
        return fLineList;
    }

    /**
     * フィールド [superclassInvocation]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * コンストラクタの場合には、Java言語だと super(引数)、C#.NETだと base(引数)の文字列全てを指定します。一般メソッドの場合には、Java言語だと super(引数)の文字列全てを指定します。セミコロンは含みません。
     *
     * @param argSuperclassInvocation フィールド[superclassInvocation]に格納したい値
     */
    public void setSuperclassInvocation(final String argSuperclassInvocation) {
        fSuperclassInvocation = argSuperclassInvocation;
    }

    /**
     * フィールド[superclassInvocation]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * コンストラクタの場合には、Java言語だと super(引数)、C#.NETだと base(引数)の文字列全てを指定します。一般メソッドの場合には、Java言語だと super(引数)の文字列全てを指定します。セミコロンは含みません。
     *
     * @return フィールド[superclassInvocation]に格納されている値
     */
    public String getSuperclassInvocation() {
        return fSuperclassInvocation;
    }

    /**
     * フィールド [langDoc]のセッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgLangDoc]<br>
     * 言語ドキュメントを蓄えます。デフォルト以上の表現を追加する場合には、インスタンスを生成して値をセットしてから自動生成します。
     *
     * @param argLangDoc フィールド[langDoc]に格納したい値
     */
    public void setLangDoc(final BlancoCgLangDoc argLangDoc) {
        fLangDoc = argLangDoc;
    }

    /**
     * フィールド[langDoc]のゲッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgLangDoc]<br>
     * 言語ドキュメントを蓄えます。デフォルト以上の表現を追加する場合には、インスタンスを生成して値をセットしてから自動生成します。
     *
     * @return フィールド[langDoc]に格納されている値
     */
    public BlancoCgLangDoc getLangDoc() {
        return fLangDoc;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgMethod[");
        buf.append("name=" + fName);
        buf.append(",description=" + fDescription);
        buf.append(",access=" + fAccess);
        buf.append(",abstract=" + fAbstract);
        buf.append(",static=" + fStatic);
        buf.append(",override=" + fOverride);
        buf.append(",final=" + fFinal);
        buf.append(",constructor=" + fConstructor);
        buf.append(",parameterList=" + fParameterList);
        buf.append(",return=" + fReturn);
        buf.append(",throwList=" + fThrowList);
        buf.append(",annotationList=" + fAnnotationList);
        buf.append(",lineList=" + fLineList);
        buf.append(",superclassInvocation=" + fSuperclassInvocation);
        buf.append(",langDoc=" + fLangDoc);
        buf.append("]");
        return buf.toString();
    }
}
